Error while migrating plugin to Gephi 0.9.1

Please use a mailing-list, see http://gephi.org/developers/
Post Reply
ypanagis
Posts: 6
Joined: 03 Jul 2014 11:06

Error while migrating plugin to Gephi 0.9.1

Post by ypanagis » 31 May 2016 22:46

After having run

Code: Select all

mvn clean package
successfully, I try to run

Code: Select all

mvn org.gephi:gephi-maven-plugin:run
. However I get the following error saying that

Code: Select all

The directory that shall contain the gephi application doesn't exist (C:\Users\dcg601\git\gephi-plugins\target\gephi-0.9.1)
and tells me to run 'mvn package' again.

The directory doesn't exist indeed but I was wondering if this is because I have something wrong with the configuration of my project and of maven

User avatar
eduramiba
Gephi Code Manager
Posts: 976
Joined: 22 Mar 2010 15:30
Location: Madrid, Spain

Re: Error while migrating plugin to Gephi 0.9.1

Post by eduramiba » 01 Jun 2016 08:35

Are you running the command from your gephi-plugins branch root folder? If not, it has to be run there, and not in your module folder.
Otherwise it should work fine, you can also try to do a mvn install in the root folder, in summary make sure to build everything and not just your module folder.

ypanagis
Posts: 6
Joined: 03 Jul 2014 11:06

Re: Error while migrating plugin to Gephi 0.9.1

Post by ypanagis » 01 Jun 2016 17:30

Hi eduardo, thank you for the answer. I ran mvn in the root folder. Perhaps there is something wrong with my configuration. After running mvn install, it moved the .nbm file under the local maven repository. From there is is accessible and can be installed in Gephi. I am still unable to run mvn org.gephi:gephi-maven-plugin:run at the root, however.

Post Reply